window.Gleam.initSearch([{"doc":"argv","title":"argv","content":"# argv\n\nA cross platform library for getting the command line arguments.\n\n[![Package Version](https://img.shields.io/hexpm/v/argv)](https://hex.pm/packages/argv)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/argv/)\n\n```sh\ngleam add argv\n```\n\n```gleam\nimport argv\nimport gleam/io\n\npub fn main() {\n  case argv.load().arguments {\n    [&quot;hello&quot;, name] -&gt;\n      io.println(&quot;Hello, &quot; &lt;&gt; name &lt;&gt; &quot;!&quot;)\n    _ -&gt;\n      io.println(&quot;usage: ./program hello &lt;name&gt;&quot;)\n  }\n}\n```\n","url":"index.html"},{"doc":"argv","title":"Argv","content":"pub type Argv {\n  Argv(runtime: String, program: String, arguments: List(String))\n}\n\nArgv(runtime: String, program: String, arguments: List(String))\n\nruntime\n&lt;p&gt;The path to the runtime executable.\nFor example, &lt;code&gt;&amp;quot;/usr/bin/erl&amp;quot;&lt;/code&gt;.&lt;/p&gt;\n\nprogram\n&lt;p&gt;The path to the program being run.\nThis may either be the entrypoint script for JavaScript, path of the\nescript for Erlang, or the path of the project if none of those could \nbe determined.&lt;/p&gt;\n\narguments\n&lt;p&gt;The command line arguments passed to the program.&lt;/p&gt;\n\nSynonyms:\nargv.Argv\nargv Argv","url":"argv.html#Argv"},{"doc":"argv","title":"load","content":"pub fn load() -&gt; Argv\n The path to the runtime executable.\n For example, `&quot;/usr/bin/erl&quot;`.\n The path to the program being run.\n This may either be the entrypoint script for JavaScript, path of the\n escript for Erlang, or the path of the project if none of those could \n be determined.\n The command line arguments passed to the program.\n\nSynonyms:\nargv.load\nargv load","url":"argv.html#load"},{"doc":"argv","title":"argv","content":"","url":"argv.html"}]);